Package org.eclipse.jgit.errors

## Class NoClosingBracketException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.InvalidPatternException
      - - org.eclipse.jgit.errors.NoClosingBracketException

All Implemented Interfaces:
  `Serializable`

    public class NoClosingBracketException
    extends InvalidPatternException

Thrown when a pattern contains a character group which is open to the right side or a character class which is open to the right side.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoClosingBracketException​(int indexOfOpeningBracket, String openingBracket, String closingBracket, String pattern)`

### Method Summary

### Methods inherited from class org.eclipse.jgit.errors.InvalidPatternException

`getPattern`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoClosingBracketException

    public NoClosingBracketException​(int indexOfOpeningBracket,
                                     String openingBracket,
                                     String closingBracket,
                                     String pattern)

Parameters:
  `indexOfOpeningBracket` - the position of the [ character which has no ] character.
  `openingBracket` - the unclosed bracket.
  `closingBracket` - the missing closing bracket.
  `pattern` - the invalid pattern.